<template>
  <div class="columns six input-with-button">
    <label for="email">Электронная почта</label>
    <input type="email"
           name="email"
           id="email"
           :value="$user.email"
           disabled="disabled"
           data-code="emailAddressInvalidFormat, emailAddressInvalidHostname, emailAddressInvalidMxRecord, emailDomainInBlackList"
    >
    <validate-message v-show="vErrors.has('email')">
      {{ vErrors.first('email') }}
    </validate-message>
    <button class="blue" @click="buttonHandler">{{buttonText}}</button>
    <transition name="fade">
      <email-confirmation-required ref="confirm" hidden nowarning></email-confirmation-required>
    </transition>
  </div>
</template>

<script>
  import UserErrorText from '@/mixins/User/UserErrorTextMixin'
  import ErrorHandleMixin from '@/mixins/ErrorHandleMixin'
  import EmailConfirmationRequired from '@/components/Modals/EmailConfirmationRequired'

  export default {
    components: {
      EmailConfirmationRequired
    },
    mixins: [
      UserErrorText,
      ErrorHandleMixin
    ],
    data () {
      return {
        confirm: false
      }
    },
    computed: {
      buttonText () {
        return this.$user.emailConfirmed ? 'Изменить' : 'Подвердить'
      }
    },
    methods: {
      buttonHandler () {
        if (this.$user.emailConfirmed) {
          this.$modal.show('change-email-modal')
        } else {
          this.$refs.confirm.show()
        }
      }
    }
  }
</script>

<style scoped lang="scss">
  .disabled {
    color: darkGray;
    cursor: default;
  }

  ::-webkit-input-placeholder { /* Chrome/Opera/Safari */
    color: #DED3D3;
  }

  ::-moz-placeholder { /* Firefox 19+ */
    color: #DED3D3;
  }

  :-ms-input-placeholder { /* IE 10+ */
    color: #DED3D3;
  }

  :-moz-placeholder { /* Firefox 18- */
    color: #DED3D3;
  }
</style>

